<?php

/**
 * This is the model class for table "url_rewrite".
 *
 * The followings are the available columns in table 'url_rewrite':
 * @property string $url_rewrite_id
 * @property string $entity_type
 * @property string $entity_id
 * @property string $request_path
 * @property string $target_path
 * @property integer $redirect_type
 * @property integer $store_id
 * @property string $description
 * @property integer $is_autogenerated
 * @property string $metadata
 */
class Mage2UrlRewritePeer extends Mage2ActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{url_rewrite}}';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('entity_type, entity_id, store_id', 'required'),
			array('redirect_type, store_id, is_autogenerated', 'numerical', 'integerOnly'=>true),
			array('entity_type', 'length', 'max'=>32),
			array('entity_id', 'length', 'max'=>10),
			array('request_path, target_path, description, metadata', 'length', 'max'=>255),
		);
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Mage2UrlRewritePeer the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
